Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GTXabsl2ActiveOption Class Reference

`#include <GTXabsl2ProfilerLog.h>`

List of all members.

## Public Member Functions
| GTXabsl2ActiveOption ()
| GTXabsl2ActiveOption (int o, int st, std::vector< double > p)
bool | operator== (const GTXabsl2ActiveOption other) const
## Public Attributes
int | optionNumber
| Number of the option.
int | stateNumber
| Number of the state that is active within the option.
std::vector< double > | parameters
| Values for parameters of the option, where the position is the same as the names within a NametableEntry.

## Constructor & Destructor Documentation

GTXabsl2ActiveOption::GTXabsl2ActiveOption | ( |  | ) | `[inline]`

| Definition at line 44 of file GTXabsl2ProfilerLog.h. References optionNumber, and stateNumber.

GTXabsl2ActiveOption::GTXabsl2ActiveOption | ( | int | o,
|  | int | st,
|  | std::vector< double > | p
| ) | `[inline]`

| Definition at line 50 of file GTXabsl2ProfilerLog.h. References optionNumber, parameters, and stateNumber.

## Member Function Documentation

bool GTXabsl2ActiveOption::operator== | ( | const GTXabsl2ActiveOption | other | ) | const`[inline]`

| Definition at line 55 of file GTXabsl2ProfilerLog.h. References optionNumber, parameters, and stateNumber.

## Member Data Documentation

int GTXabsl2ActiveOption::optionNumber

| Number of the option. Index within the NameTable used for lookup Definition at line 32 of file GTXabsl2ProfilerLog.h. Referenced by GTXabsl2ActiveOption(), and operator==().

int GTXabsl2ActiveOption::stateNumber

| Number of the state that is active within the option. Index within a NameTableEntry used for lookup Definition at line 35 of file GTXabsl2ProfilerLog.h. Referenced by GTXabsl2ActiveOption(), and operator==().

std::vector<double> GTXabsl2ActiveOption::parameters

| Values for parameters of the option, where the position is the same as the names within a NametableEntry. Definition at line 38 of file GTXabsl2ProfilerLog.h. Referenced by GTXabsl2ActiveOption(), and operator==().

The documentation for this class was generated from the following file:

- Tools/Xabsl2/GT/GTXabsl2Profiler/GTXabsl2ProfilerLog.h